using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Chain
{
	public class ChainLegs : BaseArmor
	{
		[Constructable]
		public ChainLegs() : base( 0x13BE, OreInfo.Iron, 28, ArmorMaterialType.Chainmail, ArmorBodyType.Legs )
		{
			Weight = 7;
			DexBonus = -3;
			StrRequirement = 20;
		}

		public ChainLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}