using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.DaemonBone
{
	public class DaemonLegs : BaseArmor
	{
		[Constructable]
		public DaemonLegs() : base( 0x1452, OreInfo.Iron, 46, ArmorMaterialType.Bone, ArmorBodyType.Legs )
		{
			Name = "daemon bone leggings";
			Hue = 0x648;
			Weight = 3;
			DexBonus = -4;
			StrRequirement = 40;
		}

		public DaemonLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}