using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Plate
{
	public class FemalePlateChest : BaseArmor
	{
		[Constructable]
		public FemalePlateChest() : base( 0x1C04, OreInfo.Iron, 30, ArmorMaterialType.Plate, ArmorBodyType.Chest )
		{
			Weight = 1;
			DexBonus = -5;
			StrRequirement = 45;
		}
		public FemalePlateChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}