using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Ranger
{
	public class RangerLegs : BaseArmor
	{
		[Constructable]
		public RangerLegs() : base( 0x13DA, OreInfo.Iron, 16, ArmorMaterialType.Studded, ArmorBodyType.Legs )
		{
			Name = "studded leather, ranger armor";
			Weight = 3;
			DexBonus = 0;
			StrRequirement = 35;
			Hue = 0x59C;
		}

		public RangerLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}