using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Ring
{
	public class RingmailLegs : BaseArmor
	{
		[Constructable]
		public RingmailLegs() : base( 0x13F0, OreInfo.Iron, 22, ArmorMaterialType.Ringmail, ArmorBodyType.Legs )
		{
			Weight = 15;
			DexBonus = -1;
			StrRequirement = 20;
		}

		public RingmailLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}