using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.PoleArms
{
	public class Bardiche : BaseWeapon
	{
		[Constructable]
		public Bardiche() : base( 5, 43, 26, 0x237, 0x238, 1, SkillName.Swords, WeaponType.Polearm, WeaponAnimation.Slash2H, 0xF4D, Layer.TwoHanded )
		{
			Weight = 7.0;
		}

		public Bardiche( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}