using System;
using Server;

namespace Server.Scripts.Mobiles.Animals.Mounts.WarHorses
{
	public class TBWarHorse : BaseWarHorse
	{
		[Constructable]
		public TBWarHorse() : base( 0x76, 0x3EB2 )
		{
		}

		public TBWarHorse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}