using System;
using Server.Items;

namespace Server.Scripts.Items.Armor.Studded
{
	public class StuddedLegs : BaseArmor
	{
		[Constructable]
		public StuddedLegs() : base( 0x13DA, OreInfo.Iron, 16, ArmorMaterialType.Studded, ArmorBodyType.Legs )
		{
			Weight = 3;
			DexBonus = 0;
			StrRequirement = 35;
		}

		public StuddedLegs( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}