using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Maces
{
	public class MagicWand : BaseWeapon
	{
		[Constructable]
		public MagicWand() : base( 2, 6, 35, 0x233, 0x239, 1, SkillName.Macing, WeaponType.Bashing, WeaponAnimation.Bash1H, 0xDF2, Layer.OneHanded )
		{
			Weight = 1.0;
		}

		public MagicWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}