using System;
using Server.Network;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Swords
{
	public class VikingSword : BaseWeapon
	{
		[Constructable]
		public VikingSword() : base( 6, 34, 30, 0x237, 0x23A, 1, SkillName.Swords, WeaponType.Slashing, WeaponAnimation.Slash1H, 0x13B9, Layer.OneHanded )
		{
			Weight = 6.0;
		}

		public VikingSword( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}